- entityDefinitions:
  - IDI_Task_ViewElementContent: '{9c90e09a-2efc-4ebd-92e6-c0767ac3fbfd}'
  - IDE_ElementContent_View: '{e68bb6c4-29eb-4c77-908a-1b3793c952bc}'
    
  - IDE_ElementContent_Start: '{e06d81bd-e073-485f-954f-dda828cb8f30}'
  - IDE_ElementContent_ViewStart: '{34b70102-757b-4da1-8101-f61c28c692f0}'
  
- library: '&IDL_MochaBaseSystem;'
  instances:

  - element: '&IDE_ElementContent_Start;'
    name: 'element content start'
    processedByCTMethod: '&IDM_ElementContent_Edit_Start;'
    elementContents:
    - globalIdentifier: '{beb977e2-4d3c-4ca6-8682-ca316b6d7da2}'
      defaultDataType: '&IDE_ElementContent_Select;'
      layout:
      - type: '&IDC_GroupLayout;'
        globalIdentifier: '{525211e9-27cd-4344-9394-fac85e67b385}'
        options:
        - instance: '&IDI_GroupLayoutOption_FieldSet;'
      displayOptions:
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
      - instance: '&IDI_DisplayOption_Singular;'

  - element: '&IDE_ElementContent_ViewStart;'
    name: 'element content view start'
    processedByCTMethod:
    - globalIdentifier: '&IDM_ElementContent_View_Start;'
      buildsResponseWithBRMB:
      - globalIdentifier: '&IDMB_ElementContent__respond_with__ElementContent_View;'
        executesMethod:
        - type: '&IDC_BuildUIResponseMethod;'
          globalIdentifier: '&IDM_ElementContent__respond_with__ElementContent_View;'
          forElementContentId: '&IDC_ElementContent;'
          verb: 'respond with'
          name: 'ElementContent View'
          accessModifierId: '&IDI_AccessModifier_RootA2;'
          usesExecutableReturningElement: '&IDE_ElementContent_View;'
    elementContents:
    - globalIdentifier: '{8efa485d-57e5-4c8b-aed2-bcf4603b5e99}'
      defaultDataType: '&IDE_ElementContent_Select;'
      layout:
      - type: '&IDC_GroupLayout;'
        globalIdentifier: '{4cf0caff-419f-4c9b-be5c-acc1d0685456}'
        options:
        - instance: '&IDI_GroupLayoutOption_FieldSet;'
      displayOptions:
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
      - instance: '&IDI_DisplayOption_Singular;'


  # - element: '&IDE_ElementContent_Select;'
  #   name: 'ElementContent task start selection'
  #   elementContents:
  #   - globalIdentifier: '{7f04dd8c-3f20-4d23-8fb4-5b8c3e3d7ea2}'
  #     defaultDataType: '&IDC_ElementContent;'
  #     displayOptions:
  #     - instance: '&IDI_DisplayOption_Required;'
        
  - sequenceTask: '&IDI_Task_ViewElementContent;'
    name: 'View Element Content'
    schedulable: no
    longRunning: no
    suppressRIHints: no
    stepName: View Element Content
    showSpreadsheetButtonOnSelection: no
    taskCategory: '&IDI_TaskCategory_ElementContent;'
    initiatingElement: '&IDE_ElementContent_ViewStart;'
    
  - element: '&IDE_ElementContent_View;'
    name: view element content
    moduleId: '&IDI_Module_MochaBaseSystem;'
    elementContents:
    - globalIdentifier: '{4004bfb2-0f81-4e52-a88b-646ba564be3b}'
      defaultDataType: '&IDE_ElementContent_Definition;'
      order: a
      layout:
      - type: '&IDC_GroupLayout;'
        globalIdentifier: '{da364849-e4b8-4e0c-b01f-8b6bd63f3882}'
        options:
        - instance: '&IDI_GroupLayoutOption_FieldSet;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
      - instance: '&IDI_DisplayOption_NotEnterable;'
    - globalIdentifier: '{2712a4b6-79e9-4849-81da-0e8cd4d1ab32}'
      defaultDataType: '&IDE_ElementContent_Parameters_Sublist;'
      order: b
      builtFromBEMProcess: '{904a26ce-0925-42a6-b02c-294f90cc93f8}'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'